k_depthwise_conv2d {keras} | R Documentation

## Depthwise 2D convolution with separable filters.

### Description

Depthwise 2D convolution with separable filters.

### Usage

    k_depthwise_conv2d(x, depthwise_kernel, strides = c(1, 1),
      padding = "valid", data_format = NULL, dilation_rate = c(1, 1))

### Arguments

`x` | input tensor
`depthwise_kernel` | convolution kernel for the depthwise convolution.
`strides` | strides (length 2).
`padding` | string, `"same"` or `"valid"`.
`data_format` | string, `"channels_last"` or `"channels_first"`.
`dilation_rate` | vector of integers, dilation rates for the separable convolution.

### Value

Output tensor.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]